// [Blend2D]
// 2D Vector Graphics Powered by a JIT Compiler.
//
// [License]
// Zlib - See LICENSE.md file in the package.

// This is a public header file designed to be used by Blend2D users.
// It includes all the necessary files to use Blend2D library from C
// and C++ and it's the only header that is guaranteed to stay.
//
// Never include directly header files placed in "blend2d" directory.
// Headers that end with "_p" suffix are private and should never be
// included as they are not part of public API.

#ifndef BLEND2D_H
#define BLEND2D_H

#include "./blend2d/api.h"
#include "./blend2d/array.h"
#include "./blend2d/bitarray.h"
#include "./blend2d/context.h"
#include "./blend2d/filesystem.h"
#include "./blend2d/font.h"
#include "./blend2d/fontdefs.h"
#include "./blend2d/fontmanager.h"
#include "./blend2d/format.h"
#include "./blend2d/geometry.h"
#include "./blend2d/glyphbuffer.h"
#include "./blend2d/gradient.h"
#include "./blend2d/image.h"
#include "./blend2d/imagecodec.h"
#include "./blend2d/matrix.h"
#include "./blend2d/path.h"
#include "./blend2d/pattern.h"
#include "./blend2d/pixelconverter.h"
#include "./blend2d/random.h"
#include "./blend2d/region.h"
#include "./blend2d/rgba.h"
#include "./blend2d/runtime.h"
#include "./blend2d/string.h"
#include "./blend2d/variant.h"

#endif // BLEND2D_H
